%define shortname textile

Name:           python-%{shortname}
Version:        4.0.3
Release:        %mkrel 1
Summary:        A Humane Web Text Generator
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{shortname}/
Source0:        https://pypi.io/packages/source/t/%{shortname}/%{shortname}-%{version}.tar.gz
BuildArch:      noarch

%description
Textile is a XHTML generator using a simple markup developed by Dean Allen.
This is a Python port with support for code validation, itex to MathML
translation, Python code coloring and much more.

%package -n     python3-%{shortname}
Summary:        A Humane Web Text Generator
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(html5lib)
%{?python_provide:%python_provide python3-%{shortname}}

%description -n python3-%{shortname}
Textile is a XHTML generator using a simple markup developed by Dean Allen.
This is a Python port with support for code validation, itex to MathML
translation, Python code coloring and much more.

This is a version for Python 3.

%prep
%setup -q -n %{shortname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{shortname}

%files -n python3-%{shortname} -f %{pyproject_files}
%{_bindir}/pytextile


%changelog
* Mon Oct 28 2024 daviddavid <daviddavid> 4.0.3-1.mga10
+ Revision: 2111578
- new version: 4.0.3

* Tue Jan 16 2024 daviddavid <daviddavid> 4.0.2-3.mga10
+ Revision: 2031531
- rebuild for py3.12
- switch to pyproject

* Mon Mar 28 2022 umeabot <umeabot> 4.0.2-2.mga9
+ Revision: 1829722
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 4.0.2-1.mga9
+ Revision: 1781621
- version 4.0.2
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 4.0.1-4.mga9
+ Revision: 1706987
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 4.0.1-3.mga8
+ Revision: 1608313
- rebuild for removing pythonegg buildrequires in srpm

* Thu Feb 20 2020 umeabot <umeabot> 4.0.1-2.mga8
+ Revision: 1545203
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 4.0.1-1.mga8
+ Revision: 1484266
- new version: 4.0.1

* Thu Jan 23 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1482386
- new version: 4.0.0

* Sun Sep 15 2019 tv <tv> 3.0.4-3.mga8
+ Revision: 1441232
- rebuild for python-3.8

* Sat Aug 24 2019 daviddavid <daviddavid> 3.0.4-2.mga8
+ Revision: 1431772
- drop python2 support

* Sun Jun 30 2019 daviddavid <daviddavid> 3.0.4-1.mga8
+ Revision: 1416249
- new version: 3.0.4

* Thu Jan 10 2019 shlomif <shlomif> 3.0.3-3.mga7
+ Revision: 1354476
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.0.3-2.mga7
+ Revision: 1290418
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 3.0.3-1.mga7
+ Revision: 1221174
- new version: 3.0.3

* Fri Apr 13 2018 daviddavid <daviddavid> 3.0.2-1.mga7
+ Revision: 1218410
- new version: 3.0.2

* Sat Nov 25 2017 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1179229
- new version: 3.0.0
- rebuild for python2-pytest-runner

* Wed Oct 04 2017 tv <tv> 2.3.16-2.mga7
+ Revision: 1168820
- add BR on python2dist(pytest-runner) thus fixing build

* Sun Aug 27 2017 daviddavid <daviddavid> 2.3.16-1.mga7
+ Revision: 1148259
- new version: 2.3.16
- rename python-textile to python2-textile

* Sat Aug 05 2017 pterjan <pterjan> 2.3.15-2.mga7
+ Revision: 1135663
- Rebuild for python 3.6

* Sun Jul 23 2017 daviddavid <daviddavid> 2.3.15-1.mga7
+ Revision: 1129064
- new version: 2.3.15

* Sat Jul 22 2017 daviddavid <daviddavid> 2.3.14-1.mga7
+ Revision: 1127792
- new version: 2.3.14

* Wed Jul 19 2017 daviddavid <daviddavid> 2.3.13-1.mga7
+ Revision: 1125025
- new version: 2.3.13

* Mon Nov 28 2016 daviddavid <daviddavid> 2.3.6-1.mga6
+ Revision: 1070571
- new version: 2.3.6
- add BR python-pytest and python3-pytest

* Thu May 26 2016 daviddavid <daviddavid> 2.3.2-1.mga6
+ Revision: 1018822
- new version: 2.3.2

* Wed May 11 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1012699
- new version: 2.3.1
- update Source URL

* Fri Feb 19 2016 umeabot <umeabot> 2.2.2-2.mga6
+ Revision: 970733
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 888131
- new version: 2.2.2
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 2.1.8-4.mga5
+ Revision: 739876
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.8-3.mga5
+ Revision: 729882
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.8-2.mga5
+ Revision: 688380
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 grenoya <grenoya> 2.1.8-1.mga5
+ Revision: 665201
- new version 2.1.8
- add build for python3
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.5-4.mga4
+ Revision: 544322
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.5-3.mga4
+ Revision: 499559
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.1.5-2.mga3
+ Revision: 379562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 grenoya <grenoya> 2.1.5-1.mga3
+ Revision: 279967
- fix url
- make the package noarch
- imported package python-textile


* Sat May 07 2011 Sandro Cazzaniga <kharec@mandriva.org> 2.1.5-1mdv2011.0
+ Revision: 672278
- new version 2.1.5

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 2.1.4-2mdv2011.0
+ Revision: 590588
- rebuild for python 2.7

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-1mdv2010.1
+ Revision: 489195
- update to new version 2.1.4

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2010.0
+ Revision: 384258
- update to new version 2.1.3

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 2.0.11-5mdv2009.1
+ Revision: 323413
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.0.11-4mdv2009.0
+ Revision: 259833
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 2.0.11-3mdv2009.0
+ Revision: 247699
- rebuild
- fix description-line-too-long
- fix summary
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 Colin Guthrie <cguthrie@mandriva.org> 2.0.11-1mdv2008.1
+ Revision: 100743
- BuildRequires python-setuptools
- import python-textile


